#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,480,600,640,680,720,760,800,840,920,960,1000,1480,1720,1840,1920,1960,2000
 * N : 25,120,240,480,600,640,680,720,760,800,840,920,960,1000,1480,1720,1840,1920,1960,2000
 * NB : 2,8,4,12,12,28,24,40,8,12,64,52,12,80,80,80,80,80,64,240
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 180) (nb_) = 8; \
   else if ((n_) < 360) (nb_) = 4; \
   else if ((n_) < 620) (nb_) = 12; \
   else if ((n_) < 660) (nb_) = 28; \
   else if ((n_) < 700) (nb_) = 24; \
   else if ((n_) < 740) (nb_) = 40; \
   else if ((n_) < 780) (nb_) = 8; \
   else if ((n_) < 820) (nb_) = 12; \
   else if ((n_) < 880) (nb_) = 64; \
   else if ((n_) < 940) (nb_) = 52; \
   else if ((n_) < 980) (nb_) = 12; \
   else if ((n_) < 1940) (nb_) = 80; \
   else if ((n_) < 1980) (nb_) = 64; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
