#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,180,240,300,360,540,1080,2160,3240,4380
 * N : 25,120,180,240,300,360,540,1080,2160,3240,4380
 * NB : 5,12,24,24,12,60,60,60,60,120,120
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 5; \
   else if ((n_) < 150) (nb_) = 12; \
   else if ((n_) < 270) (nb_) = 24; \
   else if ((n_) < 330) (nb_) = 12; \
   else if ((n_) < 2700) (nb_) = 60; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
